Page MenuHomeFreeBSD

Update finance/skrooge to 2.5.0
ClosedPublic

Authored by tcberner on Dec 15 2016, 6:39 PM.

Details

Summary
  • Update skrooge to 2.5.0.
  • This also switches the port from using kdelibs4 to using kf5.
  • Add option to use encrypted database via databases/sqlcipher
Test Plan
  • A KDE4 user should probably give it a try.
  • Tested on 9.3@32 and 120@64.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 22959.Dec 15 2016, 6:39 PM
tcberner retitled this revision from to Update finance/skrooge to 2.5.0.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, mat, adridg.
rakuco added inline comments.Dec 16 2016, 11:08 AM
finance/skrooge/Makefile
43 ↗(On Diff #22959)

Is there any problem with enabling sqlcipher unconditionally? From a quick look at the code (but not the documentation) it's not clear if this means Skrooge will be unable to open plan sqlite3 database files. If it is, I don't see why not do that and make Skrooge able to work with both encrypted and unencrypted databases.

tcberner added inline comments.Dec 16 2016, 11:09 AM
finance/skrooge/Makefile
43 ↗(On Diff #22959)

When I first created the port databases/sqlcipher conflicted with sqlite3 as far as I remember.

With r376125 this conflict has been removed. So I'll drop the options.

tcberner updated this revision to Diff 23002.Dec 16 2016, 4:34 PM

Remove sqlcipher xor sqlite3, as these no longer conflict.

I created in a skrooge-2.5.0 without sqlcipher and opened it in the one compiled
with sqlcipher. Seemed to work as far as I can tell.

rakuco accepted this revision.Dec 18 2016, 3:13 PM
rakuco edited edge metadata.

shipit!

finance/skrooge/files/patch-CMakeLists.txt
7 ↗(On Diff #23002)

Can you send this patch upstream? The best would be having a proper FindSqlcipher.cmake, but I wouldn't spend too much time on it.

This revision is now accepted and ready to land.Dec 18 2016, 3:13 PM
tcberner marked an inline comment as done.Dec 19 2016, 8:01 AM
tcberner added inline comments.
finance/skrooge/files/patch-CMakeLists.txt
7 ↗(On Diff #23002)

Upstream review created for the "easy way".

This revision was automatically updated to reflect the committed changes.
tcberner marked an inline comment as done.